msgpack::type::v4raw_ref Struct Reference

`#include <v4raw.hpp>`

## Public Member Functions

| v4raw_ref ()
| v4raw_ref (const char *p, uint32_t s)
std::string | str () const
bool | operator== (const v4raw_ref &x) const
bool | operator!= (const v4raw_ref &x) const
bool | operator< (const v4raw_ref &x) const
bool | operator> (const v4raw_ref &x) const

## Public Attributes

uint32_t | size
const char * | ptr

## Constructor & Destructor Documentation

## v4raw_ref() [1/2]

msgpack::type::v4raw_ref::v4raw_ref | ( |  | ) |

inline

## v4raw_ref() [2/2]

msgpack::type::v4raw_ref::v4raw_ref | ( | const char * | p,
|  | uint32_t | s
| ) |  |

inline

## Member Function Documentation

## operator!=()

bool msgpack::type::v4raw_ref::operator!= | ( | const v4raw_ref & | x | ) | const

inline

## operator<()

bool msgpack::type::v4raw_ref::operator< | ( | const v4raw_ref & | x | ) | const

inline

References ptr, and size.

## operator==()

bool msgpack::type::v4raw_ref::operator== | ( | const v4raw_ref & | x | ) | const

inline

References ptr, and size.

## operator>()

bool msgpack::type::v4raw_ref::operator> | ( | const v4raw_ref & | x | ) | const

inline

References ptr, and size.

## str()

std::string msgpack::type::v4raw_ref::str | ( |  | ) | const

inline

## Member Data Documentation

## ptr

const char* msgpack::type::v4raw_ref::ptr

Referenced by msgpack::adaptor::convert< type::v4raw_ref >::operator()(), msgpack::adaptor::pack< type::v4raw_ref >::operator()(), msgpack::adaptor::object< type::v4raw_ref >::operator()(), operator<(), operator==(), and operator>().

## size

uint32_t msgpack::type::v4raw_ref::size

Referenced by msgpack::adaptor::convert< type::v4raw_ref >::operator()(), msgpack::adaptor::pack< type::v4raw_ref >::operator()(), msgpack::adaptor::object< type::v4raw_ref >::operator()(), operator<(), operator==(), and operator>().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/v4raw.hpp